﻿using WebApp04.Models;
using Microsoft.EntityFrameworkCore;

namespace WebApp04.Data
{
    public class GoodWebContext: DbContext
    {
        public GoodWebContext(DbContextOptions<GoodWebContext> options) : base(options)
        {}
        public DbSet<Contact> Contacts { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            base.OnConfiguring(optionsBuilder);
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Testimonial>().ToTable("testimonials");
            modelBuilder.Entity<Contact>().ToTable("contacts");
        }
    }
}
