﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using WebApp04.Data;

namespace WebApp04.Pages
{
    public class IndexModel : PageModel
    {
        private readonly ILogger<IndexModel> _logger;
        private readonly GoodWebContext _db;

        public IndexModel(ILogger<IndexModel> logger, GoodWebContext db)
        {
            _logger = logger;
            _db = db;
        }

        public void OnGet()
        {
            ViewData["count"] = this._db.Contacts.ToList().Count;
        }
    }
}